DLS Namespace Reference

DLS specific classes and definitions. More...

## Classes

struct | version_t
| Quadtuple version number ("major.minor.release.build"). More...
struct | dlsid_t
| Every subject of an DLS file and the file itself can have an unique, computer generated ID. More...
struct | range_t
| Lower and upper limit of a range. More...
struct | sample_loop_t
| Defines Sample Loop Points. More...
class | Connection
| Defines a connection within the synthesis model. More...
class | Storage
| Abstract base class for all classes using RIFF::Chunks for persistency. More...
class | Articulation
| Provides access to the defined connections used for the synthesis model. More...
class | Articulator
| Abstract base class for classes that provide articulation information (thus for Instrument and Region class). More...
class | Info
| Optional information for DLS files, instruments, samples, etc. More...
class | Resource
| Abstract base class which encapsulates data structures which all DLS resources are able to provide. More...
class | Sampler
| Abstract base class which provides mandatory informations about sample players in general. More...
class | Sample
| Encapsulates sample waves used for playback. More...
class | Region
| Defines Region information of an Instrument. More...
class | Instrument
| Provides all neccessary information for the synthesis of a DLS Instrument. More...
class | File
| Parses DLS Level 1 and 2 compliant files and provides abstract access to the data. More...
class | Exception
| Will be thrown whenever a DLS specific error occurs while trying to access a DLS File. More...

## Typedefs

typedef std::string | String
typedef RIFF::progress_t | progress_t
typedef RIFF::file_offset_t | file_offset_t

## Enumerations

enum

conn_src_t {
conn_src_none = 0x0000 , conn_src_lfo = 0x0001 , conn_src_keyonvelocity = 0x0002 , conn_src_keynumber = 0x0003 ,
conn_src_eg1 = 0x0004 , conn_src_eg2 = 0x0005 , conn_src_pitchwheel = 0x0006 , conn_src_polypressure = 0x0007 ,
conn_src_channelpressure = 0x0008 , conn_src_vibrato = 0x0009 , conn_src_cc1 = 0x0081 , conn_src_cc7 = 0x0087 ,
conn_src_cc10 = 0x008A , conn_src_cc11 = 0x008B , conn_src_cc91 = 0x00DB , conn_src_cc93 = 0x00DD ,
conn_src_rpn0 = 0x0100 , conn_src_rpn1 = 0x0101 , conn_src_rpn2 = 0x0102
}

| Connection Sources. More...

enum

conn_dst_t {
conn_dst_none = 0x0000 , conn_dst_gain = 0x0001 , conn_dst_reserved = 0x0002 , conn_dst_pitch = 0x0003 ,
conn_dst_pan = 0x0004 , conn_dst_keynumber = 0x0005 , conn_dst_left = 0x0010 , conn_dst_right = 0x0011 ,
conn_dst_center = 0x0012 , conn_dst_lfe_channel = 0x0013 , conn_dst_leftrear = 0x0014 , conn_dst_rightrear = 0x0015 ,
conn_dst_chorus = 0x0080 , conn_dst_reverb = 0x0081 , conn_dst_lfo_frequency = 0x0104 , conn_dst_lfo_startdelay = 0x0105 ,
conn_dst_vib_frequency = 0x0114 , conn_dst_vib_startdelay = 0x0115 , conn_dst_eg1_attacktime = 0x0206 , conn_dst_eg1_decaytime = 0x0207 ,
conn_dst_eg1_reserved = 0x0208 , conn_dst_eg1_releasetime = 0x0209 , conn_dst_eg1_sustainlevel = 0x020A , conn_dst_eg1_delaytime = 0x020B ,
conn_dst_eg1_holdtime = 0x020C , conn_dst_eg1_shutdowntime = 0x020D , conn_dst_eg2_attacktime = 0x030A , conn_dst_eg2_decaytime = 0x030B ,
conn_dst_eg2_reserved = 0x030C , conn_dst_eg2_releasetime = 0x030D , conn_dst_eg2_sustainlevel = 0x030E , conn_dst_eg2_delaytime = 0x030F ,
conn_dst_eg2_holdtime = 0x0310 , conn_dst_filter_cutoff = 0x0500 , conn_dst_filter_q = 0x0501
}

| Connection Destinations. More...
enum | conn_trn_t { conn_trn_none = 0x0000 , conn_trn_concave = 0x0001 , conn_trn_convex = 0x0002 , conn_trn_switch = 0x0003 }
| Connection Transforms. More...

## Functions

String | libraryName ()
| Returns the name of this C++ library.
String | libraryVersion ()
| Returns version of this C++ library.

## Detailed Description

DLS specific classes and definitions.

## Typedef Documentation

## file_offset_t

typedef RIFF::file_offset_t DLS::file_offset_t

Definition at line 112 of file DLS.h.

## progress_t

typedef RIFF::progress_t DLS::progress_t

Definition at line 111 of file DLS.h.

## String

typedef std::string DLS::String

Definition at line 110 of file DLS.h.

## Enumeration Type Documentation

## conn_dst_t

enum DLS::conn_dst_t

Connection Destinations.

Definition at line 157 of file DLS.h.

## conn_src_t

enum DLS::conn_src_t

Connection Sources.

Definition at line 131 of file DLS.h.

## conn_trn_t

enum DLS::conn_trn_t

Connection Transforms.

Definition at line 202 of file DLS.h.

## Function Documentation

## libraryName()

String DLS::libraryName | ( |  | ) |

Returns the name of this C++ library.

This is usually "libgig" of course. This call is equivalent to RIFF::libraryName() and gig::libraryName().

Definition at line 2650 of file DLS.cpp.

Referenced by gig::DimensionRegion::DeleteSampleLoop().

## libraryVersion()

String DLS::libraryVersion | ( |  | ) |

Returns version of this C++ library.

This call is equivalent to RIFF::libraryVersion() and gig::libraryVersion().

Definition at line 2658 of file DLS.cpp.

Referenced by gig::DimensionRegion::DeleteSampleLoop().